## nethack 3.6.0

=== debian/changelog ===
nethack (3.6.0-4) unstable; urgency=medium

  [ Mo Jun ]
  * Fix permanently identify bug on arm* ports. (Closes: #828625)

  [ James Cowgill ]
  * Bump standards to 3.9.8 (no changes).

 -- James Cowgill <jcowgill@debian.org>  Sun, 26 Jun 2016 15:27:02 +0100

nethack (3.6.0-3) unstable; urgency=medium

  * Avoid crash when using long lines in nethackrc. (Closes: #819337)

 -- James Cowgill <jcowgill@debian.org>  Fri, 01 Apr 2016 23:50:19 +0100

nethack (3.6.0-2) unstable; urgency=medium

  [ James Cowgill ]
  * Remove more remnants of the curses interface from d/rules.
  * Remove obsolete $(EXTRA_$1) argument from d/rules.
  * Install symbols data file. (Closes: #817972)
  * Add semicolon to the end of lists in the desktop files to fix validation
    errors.
  * Add StartupWMClass to nethack-x11.desktop to fix grouping in some DEs.

  [ Reiner Herrmann ]
  * Add patch to enable reproducible building. (Closes: #818128)
  * Manually build makedefs before the rest of the game to avoid a race
    confition in the build system.

  [ Mo Jun ]
  * Fix abnormal behavior in the HP monitor patch. (Closes: #818051)

 -- James Cowgill <jcowgill@debian.org>  Mon, 21 Mar 2016 14:51:35 +0000

nethack (3.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #807752, LP: #1529498).
  * Dropped enhancement patches which are difficult to port to 3.6.
    - Drop curses ui patch.
    - Drop enhanced dump patch.
    - Drop engulfed trouble patch.
  * Converted packaging to dh.
  * Ship default sysconf file in /etc/nethack/sysconf.
  * Replace menu files and the xpm icon with desktop files and a png.

  * debian/*.dirs:
    - Remove directories which will be created by dh_install automatically.
  * debian/README.patches:
    - Drop file. No major enhancement patches remain.
  * debian/control:
    - Add myself to the list of uploaders.
    - Bump standards to 3.9.7 (no changes).
    - Switch to git Vcs URLs.
  * debian/copyright:
    - Add myself to the copyright holders list.
  * debian/nethack-common.postinst:
    - Convert tabs to spaces for consistency.
    - Simplify 'recover' script handling.
    - Remove init script handling for pre-wheezy systems.
    - Create /var/games/nethack/xlogfile file.
  * debian/nethack-lisp.copyright:
    - Drop and use main copyright file instead.
  * debian/patches:
    - Refresh patches for 3.6.0.
    - Ensure correct path to x11tiles is compiled in via patch 0008.
    - Drop obsolete patches
      - 0003 _GNU_SOURCE define - _GNU_SOURCE is now defined in config1.h
      - 0011 menucolors - applied upstream
      - 0012 paranoid hit - obsolete, equivalent is in 3.6.0
      - 0014 sortloop - applied upstream
      - 0016 fix format-security errors - fixed upstream
    - Update kFreeBSD FTBFS patch.
      - Move time.h includes to unixconf.h
      - Do not redefine memcpy on BSD systems.
    - Add 0023-gcc-warning-fixes.patch to inhibit many pointer warnings when
      building on 64-bit systems.
    - Basic porting of the LISP patch to 3.6.0 (not well tested).
  * debian/rules:
    - Remove duplicate build options which have no effect.
    - Pass NOTPARMDECL option to disable tparm forward declaration. Fixes a
      FTBFS on kFreeBSD.
    - Do not pass '1' to setup.sh.
    - Drop call to 'dpkg-buildflags --status'.
    - Simplify build process of common files.
    - Remove obsolete 'start' call to update-rc.d.
    - Use gzip -n when creating nh10.pcf.gz to fix
      package-contains-timestamped-gzip lintian warning.
  * debian/x11/NetHack:
    - Update X11 app-defaults for 3.6.0 (new shipped graphics and upstream
      defaults).
  * debian/x11/nethackrc.x11:
    - Remove obsolete OBJECTS, DUNGEON, TRAPS and EFFECTS options.

 -- James Cowgill <jcowgill@debian.org>  Fri, 11 Mar 2016 01:51:28 +0000

nethack (3.4.3-15) unstable; urgency=medium

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Josh Triplett ]
  * Add native systemd support. (Closes: #741126)
    - Factor out the recovery logic from the nethack-common init script into a
      new script /usr/lib/games/nethack/recover-all.
    - Add a nethack-common.service invoking recover-all.  This service uses
      ConditionPathExistsGlob to only launch when files exist to recover,
      avoiding any extra processes at startup in the common case.
    - Build-Depends: debhelper (>= 9.20130504) for systemd support in
      dh_installinit.

  [ Vincent Cheng ]
  * Build nethack with curses interface. Thanks to Ivan Krylov for the patch!
    (Closes: #705029)
  * Do not remove alternatives on upgrades.
    (https://lists.debian.org/debian-devel/2012/09/msg00575.html)
  * Update to Standards version 3.9.5.
  * Update email address.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 11 May 2014 23:27:25 -0700
