## nethack 3.6.1

=== debian/changelog ===
nethack (3.6.1-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release. (Closes: #900318)

  * d/changelog: Remove trailing whitespace.
  * d/clean: Clean dat/gitinfo.txt.
  * d/copyright:
    - Update and list all copyright holders.
    - "Relicense" debian directory under the NGPL. (Closes: #908784)
  * d/compat: Use debhelper 11.
  * d/control:
    - Switch Vcs URLs to salsa.debian.org.
    - Bump standards to 4.2.1.
    - Use secure Homepage URL.
  * d/*.desktop: Add Comment fields to desktop files.
  * d/patches:
    - Refresh patches.
    - Drop u1-avoid-crash-for-long-lines-in-nethackrc.patch - applied upstream.
    - Drop 0005-Simple-mail.patch - no longer applies.
    - Drop 0010-Enables-color-HP-monitor-for-textmode-NetHack - obsolete.
    - Drop 0019-stay-in-array-bounds.patch - fixed upstream.
    - Drop 0023-gcc-warning-fixes.patch - alternative applied upstream.
    - Drop 0025-reproducible-build.patch and enable upstream reproducibility.
    - Add upstream patch to fix sys/unix/setup.sh behavior.
    - Disable SIMPLE_MAIL which now has a slightly different meaning.
    - Fix undefined reference to "terminate" in lisp patch.
    - Fix spelling mistake in 0026-fix-permanently-identify.
  * d/rules:
    - Enable verbose build.
    - Add set -e to for loop.
  * nethackrc: disable hpmon now that the patch has been dropped.

  [ Niels Thykier ]
  * Declare the explicit requirement for (fake)root.

 -- James Cowgill <jcowgill@debian.org>  Sun, 16 Sep 2018 17:35:42 +0100
