=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  bison,
  bsdmainutils,
- debhelper (>= 9.20130504),
+ debhelper (>= 11),
  flex,
  groff-base,
  libncurses5-dev | libncurses-dev,
@@ -19,10 +19,11 @@
  libxt-dev,
  po-debconf,
  xfonts-utils
-Standards-Version: 3.9.8
-Homepage: http://www.nethack.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/nethack.git/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/nethack.git/
+Standards-Version: 4.2.1
+Homepage: https://www.nethack.org
+Vcs-Git: https://salsa.debian.org/games-team/nethack.git
+Vcs-Browser: https://salsa.debian.org/games-team/nethack
+Rules-Requires-Root: binary-targets
 
 Package: nethack-common
 Architecture: any
