=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export VERBOSEMAKE = 1
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -69,7 +71,7 @@
 	chgrp games debian/nethack-common/usr/lib/games/nethack/recover
 	chgrp -R games debian/nethack-common/var/games/nethack
 	chmod -R 2775 debian/nethack-common/var/games/nethack
-	for flavor in $(TARGETS); do \
+	set -e; for flavor in $(TARGETS); do \
 		chgrp games debian/nethack-$$flavor/usr/lib/games/nethack/nethack-$$flavor; \
 		chmod 2755 debian/nethack-$$flavor/usr/lib/games/nethack/nethack-$$flavor; \
 	done
