## nethack 3.6.6

=== debian/changelog ===
nethack (3.6.6-2build1) hirsute; urgency=medium

  * No change rebuild fixed ownership on ppc64el.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 25 Feb 2021 14:00:45 +0000

nethack (3.6.6-2) unstable; urgency=medium

  * Team upload.
  * Re-enable the Qt interface, which now supports Qt5. (Closes: #770749)
  * Drop nethack-lisp which is broken and unmaintained. (Closes: #961932)
  * Enable support for curses windowtype in nethack-console.
  * Enable hitpointbar in nethack-console.
  * Enable all hardening options.
  * Bump Standards-Version to 4.5.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 09 Jan 2021 16:34:33 +0100

nethack (3.6.6-1) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * Update watch file.
    The sourceforge page seem to be no longer kept up-to-date.
    Use the official site instead, but mangle the page a bit,
    to point to the correct tarball location.

  [ Markus Koschany ]
  * New upstream version 3.6.6.
    - Fixes CVE-2020-5254, CVE-2020-5214, CVE-2020-5213, CVE-2020-5212,
      CVE-2020-5211, CVE-2020-5210, CVE-2020-5209 and CVE-2019-19905.
      (Closes: #947005, #953978)
  * Fixes FTBFS with GCC 10. (Closes: #957598)
  * Switch to debhelper-compat = 13
  * Declare compliance with Debian Policy 4.5.0.
  * Drop u1-fix-H7138-sys-unix-setup.sh-fails-with-no-arguments.patch.
    Fixed upstream.
  * Rebase all patches for new version 3.6.6.
  * Remove all lisp patches. Broken and unmaintained with 3.6.6.
    Maintainers are welcome. nethack-lisp can be salvaged by fixing the errors
    on the lisp branch in Git. If they are not fixed before the bullseye
    release nethack-lisp will be removed.

 -- Markus Koschany <apo@debian.org>  Sun, 31 May 2020 18:57:45 +0200
