=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: nethack
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Vincent Cheng <vcheng@debian.org>,
  James Cowgill <jcowgill@debian.org>
 Build-Depends:
  bison,
  bsdmainutils,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  flex,
  groff-base,
  libncurses5-dev | libncurses-dev,
@@ -17,9 +18,12 @@
  libxext-dev,
  libxmu-dev,
  libxt-dev,
+ pkg-config,
  po-debconf,
+ qtbase5-dev,
+ qtmultimedia5-dev,
  xfonts-utils
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://www.nethack.org
 Vcs-Git: https://salsa.debian.org/games-team/nethack.git
 Vcs-Browser: https://salsa.debian.org/games-team/nethack
@@ -28,7 +32,7 @@
 Package: nethack-common
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: nethack-console | nethack-x11 | nethack-lisp
+Recommends: nethack-console | nethack-x11
 Description: dungeon crawl game - common files
  NetHack is a wonderfully silly, yet quite addictive, Dungeons &
  Dragons-style adventure game. You play a character from one of many
@@ -44,7 +48,7 @@
  at the same time:
   - nethack-console: no graphics, just plain NetHack;
   - nethack-x11    : original X11/Athena-based graphical version;
-  - nethack-lisp   : Lisp window version.
+  - nethack-qt     : Qt version.
  .
  The various graphical front-ends for NetHack all share a large
  number of files in common.  This package contains the graphics,
@@ -78,37 +82,9 @@
  at the same time:
   - nethack-console: no graphics, just plain NetHack;
   - nethack-x11    : original X11/Athena-based graphical version;
-  - nethack-lisp   : Lisp window version.
+  - nethack-qt     : Qt version.
  .
  This package provides the plain console version of NetHack.
-
-Package: nethack-lisp
-Depends:
- nethack-common (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Suggests: nethack-el
-Architecture: any
-Provides: nethack
-Description: dungeon crawl game - Lisp interface
- NetHack is a wonderfully silly, yet quite addictive, Dungeons &
- Dragons-style adventure game. You play a character from one of many
- classes (such as wizard, ranger, or tourist), fighting your way down to
- retrieve the Amulet of Yendor (try saying THAT one backwards!) for your
- god. On the way, you might encounter a quantum mechanic or two, or
- perhaps King Arthur, or - if you're REALLY lucky - the Ravenous
- Bugblatter Beast of Traal.
- .
- You should install a front-end for NetHack if you
- wish to play the game.  Each of them includes the
- original non-graphical version, and they can all be installed
- at the same time:
-  - nethack-console: no graphics, just plain NetHack;
-  - nethack-x11    : original X11/Athena-based graphical version;
-  - nethack-lisp   : Lisp window version.
- .
- This package provides the version required for playing NetHack via
- Lisp, for instance under Emacs (which requires nethack-el).
 
 Package: nethack-x11
 Depends:
@@ -132,7 +108,33 @@
  at the same time:
   - nethack-console: no graphics, just plain NetHack;
   - nethack-x11    : original X11/Athena-based graphical version;
-  - nethack-lisp   : Lisp window version.
+  - nethack-qt     : Qt version.
  .
  This package provides the text and X11/Athena-based graphical versions
  of NetHack.
+
+Package: nethack-qt
+Depends:
+ nethack-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Architecture: any
+Provides: nethack
+Description: dungeon crawl game - Qt interface
+ NetHack is a wonderfully silly, yet quite addictive, Dungeons &
+ Dragons-style adventure game. You play a character from one of many
+ classes (such as wizard, ranger, or tourist), fighting your way down to
+ retrieve the Amulet of Yendor (try saying THAT one backwards!) for your
+ god. On the way, you might encounter a quantum mechanic or two, or
+ perhaps King Arthur, or - if you're REALLY lucky - the Ravenous
+ Bugblatter Beast of Traal.
+ .
+ You should install a front-end for NetHack if you
+ wish to play the game.  Each of them includes the
+ original non-graphical version, and they can all be installed
+ at the same time:
+  - nethack-console: no graphics, just plain NetHack;
+  - nethack-x11    : original X11/Athena-based graphical version;
+  - nethack-qt     : Qt version.
+ .
+ This package provides the Qt-based graphical versions of NetHack.
