=== debian/watch ===
version=4
opts=pagemangle=s%href="/download/(\d+).(\d+).(\d+)"%href="/download/$1.$2.$3/nethack-$1$2$3-src.tgz"%g \
https://www.nethack.org/common/dnldindex.html /download/@ANY_VERSION@/nethack-[\d\.]+-src.tgz
