## nethack 3.6.7

=== debian/changelog ===
nethack (3.6.7-2) unstable; urgency=medium

  [ Vincent Cheng ]
  * Address gcc 15 FTBFS by building with -std=gnu17. (Closes: #1097450)
  * Update build-dep on pkg-config => pkgconf.
  * Add upstream metadata file.
  * Bump Standards-Version to 4.7.2, no changes required.

  [ Carles Pina i Estany ]
  * Update Catalan po-debconf translation.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 07 Sep 2025 14:15:57 -0700

nethack (3.6.7-1) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * New upstream release.
    - Fixes buffer overflow that can crash the NetHack process
      (CVE-2023-24809). (Closes: #1031869)
    - Drop patches applied upstream.
  * Enable dumplog support, which was enabled through thirdparty patch in an
    older release (3.4.x), and is included upstream since 3.6.x, but had not
    yet been re-enabled. (Closes: #1023578)
  * Bump Standards-Version to 4.6.2.
  * Replace obsolete build dependency: libncurses5-dev => libncurses-dev.
  * Replace obsolete build dependency: bsdmainutils => bsdextrautils.

  [ Paulo Henrique de Lima Santana ]
  * Update Brazilian Portuguese debconf templates translation (Closes: #1024192)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 18 Jun 2023 17:59:30 +0200

nethack (3.6.6-3) unstable; urgency=medium

  * Team upload.
  * Import fix for FTBFS because of redefined macro. (Closes: #1017326)
  * Fix watch file.
  * Bump Standards-Version to 4.6.1.
  * Adjust lintian override to the new format.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 14 Aug 2022 16:04:40 +0200
