=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: nethack
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Vincent Cheng <vcheng@debian.org>,
  James Cowgill <jcowgill@debian.org>
 Build-Depends:
  bison,
- bsdmainutils,
+ bsdextrautils,
  debhelper-compat (= 13),
  flex,
  groff-base,
- libncurses5-dev | libncurses-dev,
+ libncurses-dev,
  libx11-dev,
  libxaw7-dev | libxaw-dev,
  libxext-dev,
  libxmu-dev,
  libxt-dev,
- pkg-config,
+ pkgconf,
  po-debconf,
  qtbase5-dev,
  qtmultimedia5-dev,
  xfonts-utils
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://www.nethack.org
 Vcs-Git: https://salsa.debian.org/games-team/nethack.git
 Vcs-Browser: https://salsa.debian.org/games-team/nethack
