=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export VERBOSEMAKE = 1
+PKG_CONFIG ?= pkg-config
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -12,13 +14,13 @@
 # upstream Makefile only has CFLAGS (missing CPPFLAGS)
 # and does not give CFLAGS to linking calls, so add them.
 # also needs some stuff so the Makefile can be overriden:
-CFLAGS = $(DEB_CPPFLAGS) $(DEB_CFLAGS) -I../include -Wall -DGCC_WARN -DNOTPARMDECL
+CFLAGS = $(DEB_CPPFLAGS) $(DEB_CFLAGS) -I../include -Wall -DGCC_WARN -DNOTPARMDECL -std=gnu17
 LFLAGS = $(DEB_CFLAGS) $(DEB_LDFLAGS)
 
 override_dh_auto_build: Makefile
 	+$(call build_target,console)
 	+$(call build_target,x11)
-	+$(call build_target,lisp)
+	+$(call build_target,qt)
 	touch src/nethack-dummy ; sleep 2
 	$(MAKE) -j1 LFLAGS='$(LFLAGS)' CFLAGS='$(CFLAGS) -DUSE_XPM' \
 	  GAME=src/nethack-dummy \
@@ -26,29 +28,33 @@
 	  all
 	/usr/bin/bdftopcf win/X11/nh10.bdf | gzip -9fn > debian/nh10.pcf.gz
 
-TARGETS = console lisp x11
+TARGETS = console x11 qt
 
 define build_target
 	$(MAKE) clean
 	touch include/config.h
 	sleep 2
-	$(MAKE) LFLAGS='$(LFLAGS)' CFLAGS='$(CFLAGS)' LINK='$$(CC)' -C util makedefs
+	$(MAKE) LFLAGS='$(LFLAGS)' CFLAGS='$(CFLAGS)' LINK='$(LINK_$1)' -C util makedefs
 	$(MAKE) LFLAGS='$(LFLAGS)' CFLAGS='$(CFLAGS) $(EXTRACPP_$1)' \
 		WINSRC='$(SRC_$1)' WINOBJ='$(OBJ_$1)' WINLIB='$(LIB_$1)' \
-		LINK='$$(CC)' GAME='nethack-$1' -C src 'nethack-$1'
+		LINK='$(LINK_$1)' GAME='nethack-$1' -C src 'nethack-$1'
 endef
-SRC_console = $$(WINTTYSRC)
-OBJ_console = $$(WINTTYOBJ)
+SRC_console = $$(WINTTYSRC) $$(WINCURSESSRC)
+OBJ_console = $$(WINTTYOBJ) $$(WINCURSESOBJ)
 LIB_console = -lcurses
-EXTRACPP_console =
+LINK_console = $$(CC)
+EXTRACPP_console = -DCURSES_GRAPHICS
 SRC_x11 = $$(WINTTYSRC) $$(WINX11SRC)
 OBJ_x11 = $$(WINTTYOBJ) $$(WINX11OBJ)
 LIB_x11 = -lncurses -lXaw -Wl,--as-needed -lXmu -lXext -Wl,--no-as-needed -lXt -lXpm -lX11 -Wl,--as-needed -lm -Wl,--no-as-needed
+LINK_x11 = $$(CC)
 EXTRACPP_x11 = -DX11_GRAPHICS
-SRC_lisp = $$(WINLISPSRC)
-OBJ_lisp = $$(WINLISPOBJ)
-LIB_lisp = $$(WINLISPLIB)
-EXTRACPP_lisp = -DLISP_GRAPHICS -DDEFAULT_WINDOW_SYS=\"lisp\"
+export QTDIR=/usr
+SRC_qt = $$(WINQT4SRC)
+OBJ_qt = $$(WINQT4OBJ)
+LIB_qt = $$(WINQT5LIB)
+LINK_qt = $$(CXX)
+EXTRACPP_qt = -DQT_GRAPHICS -DDEFAULT_WINDOW_SYS=\"Qt\" -DNOTTYGRAPHICS $(shell $(PKG_CONFIG) Qt5Gui Qt5Widgets Qt5Multimedia --cflags) -fPIC
 
 
 Makefile:
